Package org.opensaml.saml.common.messaging.context.navigate

# Class SAMLProtocolContextProtocolFunction

java.lang.Object
org.opensaml.saml.common.messaging.context.navigate.SAMLProtocolContextProtocolFunction

All Implemented Interfaces:
  `Function<SAMLProtocolContext,String>`, `ContextDataLookupFunction<SAMLProtocolContext,String>`

public class SAMLProtocolContextProtocolFunction extends Object implements ContextDataLookupFunction<SAMLProtocolContext,String>
`ContextDataLookupFunction` that returns the protocol from a `SAMLProtocolContext`.

## Constructor Summary

Constructors
Constructor
Description
`SAMLProtocolContextProtocolFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(SAMLProtocolContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### SAMLProtocolContextProtocolFunction

public SAMLProtocolContextProtocolFunction()

## Method Details

### apply

@Nullable public String apply(@Nullable SAMLProtocolContext input)

Specified by:
  `apply` in interface `Function<SAMLProtocolContext,String>`